Zum Hauptinhalt springen

Request a support code

GET/v2/users/self/credentials/support-code
API-Version
v2
Request-Methode
GET
Operation-ID
user-support-code-request

Request​

Responses​

Format
application/json
Beschreibung

The requested support code and the expiry.

  • expiresAtstring (date-time)required

    Expiration of the support code

  • supportCodestringrequired

    support code to authenticate yourself against the mittwald support via telephone

Content-Type: application/json

{
"expiresAt": "1985-10-26T01:21:00.000Z",
"supportCode": "123456"
}
{
"properties": {
"expiresAt": {
"description": "Expiration of the support code",
"format": "date-time",
"type": "string"
},
"supportCode": {
"description": "support code to authenticate yourself against the mittwald support via telephone",
"example": "123456",
"type": "string"
}
},
"required": [
"supportCode",
"expiresAt"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/users/self/credentials/support-code?forceRecreate=true
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.user.supportCodeRequest({
"queryParameters": {
"forceRecreate": true
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\User\SupportCodeRequest\SupportCodeRequestRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new SupportCodeRequestRequest())
->withForceRecreate(true);
$response = $client->user()->supportCodeRequest($request);

var_dump($response->getBody();

Auf dieser Seite